package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.entity.BaseVehicleTerminal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.vo.BaseVehicleTerminalVo;

import java.util.List;

/**
 * <p>
 * 机车车载终端信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface BaseVehicleTerminalService extends IService<BaseVehicleTerminal> {

    IPage<BaseVehicleTerminal> vehicleTerminalList(BaseVehicleTerminalVo baseVehicleTerminalleVo);

    AjaxResult baseVehicleTerminalDetails(BaseVehicleTerminalVo baseVehicleTerminalVo);

    AjaxResult vehicleTerminalAdd(BaseVehicleTerminal baseVehicleTerminal, String userId);

    AjaxResult vehicleTerminalUpdate(BaseVehicleTerminal baseVehicleTerminal, String userId);

    String importBaseVehicleTerminal(List<BaseVehicleTerminal> accountManageList, boolean updateSupport, String userId);

    List<BaseVehicleTerminal> exportBaseVehicleTerminal(BaseVehicleTerminal baseVehicleTerminal);
}
